<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" type="topic" style="problem" id="sound-nosound" xml:lang="te">

  <info>
    <link type="guide" xref="sound-broken"/>

    <revision version="gnome:40" date="2021-02-26" status="candidate"/>

    <credit type="author">
      <name>గ్నోమ్ పత్రీకరణ పరియోజన</name>
      <email>gnome-doc-list@gnome.org</email>
    </credit>
    <credit type="editor">
      <name>మైకేల్ హిల్</name>
      <email>mdhillca@gmail.com</email>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>

    <desc>Check that the sound is not muted, that cables are plugged in properly,
    and that the sound card is detected.</desc>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Praveen Illa</mal:name>
      <mal:email>mail2ipn@gmail.com</mal:email>
      <mal:years>2011, 2014. </mal:years>
    </mal:credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>కృష్ణబాబు క్రొత్తపల్లి</mal:name>
      <mal:email>kkrothap@redhat.com</mal:email>
      <mal:years>2013.</mal:years>
    </mal:credit>
  </info>

<title>I cannot hear any sounds on the computer</title>

  <p>If you cannot hear any sounds on your computer, for example when you try
  to play music, go through the following troubleshooting tips.</p>

<section id="mute">
  <title>Make sure that the sound is not muted</title>

  <p>Open the <gui xref="shell-introduction#systemmenu">system menu</gui> and make sure that
  the sound is not muted or turned down.</p>

  <p>Some laptops have mute switches or keys on their keyboards — try pressing
  that key to see if it unmutes the sound.</p>

  <p>You should also check that you have not muted the application that you are
  using to play sound (for example, your music player or movie player). The
  application may have a mute or volume button in its main window, so check
  that.</p>

  <p>Also, you can check the volume slider in the <gui>Sound</gui>   panel:</p>
  <steps>
    <item>
      <p>Open the <gui xref="shell-introduction#activities">Activities</gui>
      overview and start typing <gui>Sound</gui>.</p>
    </item>
    <item>
      <p>Click on <gui>Sound</gui> to open the panel.</p>
    </item>
    <item>
      <p>Under <gui>Volume Levels</gui>, check that your application is not
      muted. The button at the end of the volume slider toggles <gui>Mute</gui>
      on and off.</p>
    </item>
  </steps>

</section>

<section id="speakers">
  <title>Check that the speakers are turned on and connected properly</title>
  <p>If your computer has external speakers, make sure that they are turned on
  and that the volume is turned up. Make sure that the speaker cable is securely
  plugged into the “output” audio socket on your computer. This socket
  is usually light green in color.</p>

  <p>Some sound cards can switch between the socket they use for output
  (to the speakers) and the socket for input (from a microphone, for instance).
  The output socket may be different when running Linux, Windows or Mac OS.
  Try connecting the speaker cable to a different audio socket on your
  computer.</p>

 <p>A final thing to check is that the audio cable is securely plugged into the
 back of the speakers. Some speakers have more than one input, too.</p>
</section>

<section id="device">
  <title>Check that the correct sound device is selected</title>

  <p>Some computers have multiple “sound devices” installed. Some of these are
  capable of outputting sound and some are not, so you should check that you
  have the correct sound device selected. This might involve some
  trial-and-error to choose the right one.</p>

  <steps>
    <item>
      <p>Open the <gui xref="shell-introduction#activities">Activities</gui>
      overview and start typing <gui>Sound</gui>.</p>
    </item>
    <item>
      <p>Click on <gui>Sound</gui> to open the panel.</p>
    </item>
    <item>
      <p>Under <gui>Output</gui>, select an <gui>Output Device</gui> and click
      the <gui>Test</gui> button to see if it works.</p>

      <p>You might need to try each available device.</p>
    </item>
  </steps>

</section>

<section id="hardware-detected">

 <title>Check that the sound card was detected properly</title>

  <p>Your sound card may not have been detected properly probably because 
  the drivers for the card are not installed. You may need to install the drivers
  for the card manually. How you do this depends on the type of the card. </p>

  <p>Run the <cmd>lspci</cmd> command in the Terminal to find out what sound
  card you have:</p>
  <steps>
    <item>
      <p>Go to the <gui>Activities</gui> overview and open a Terminal.</p>
    </item>
    <item>
      <p>Run <cmd>lspci</cmd> as <link xref="user-admin-explain">superuser</link>;
      either type <cmd>sudo lspci</cmd> and type your password, or type
      <cmd>su</cmd>, enter the <em>root</em> (administrative) password,
      then type <cmd>lspci</cmd>.</p>
    </item>
    <item>
      <p>Check if an <em>audio controller</em> or <em>audio device</em> is listed:
      in such case you should see the make and model number of the sound card. 
      Also, <cmd>lspci -v</cmd> shows a list with more detailed information.</p>
    </item>
  </steps>

  <p>You may be able to find and install drivers for your card. It is best to
  ask on support forums (or otherwise) for your Linux distribution for
  instructions.</p>

  <p>If you cannot get drivers for your sound card, you might prefer to buy a
  new sound card. You can get sound cards that can be installed inside the
  computer and external USB sound cards.</p>

</section>

</page>
